=== debian/changelog ===
pythia8 (8.1.65-1) unstable; urgency=low

  * Initial release (Closes: #636981)

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 22 May 2012 11:43:00 +0800
