=== debian/control ===
Source: pythia8
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Lifeng Sun <lifongsun@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libhepmc-dev, texlive-xetex, ghostscript
Standards-Version: 3.9.3
Section: science
Homepage: http://home.thep.lu.se/~torbjorn/Pythia.html
Vcs-Git: git://git.debian.org/git/debian-science/packages/pythia8.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/pythia8.git

Package: pythia8-data
Architecture: all
Multi-arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Recommends: libpythia8
Description: PYTHIA8 data files
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 This package provides XML data files of PYTHIA8

Package: libpythia8
Section: libs
Architecture: any
Multi-arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: pythia8-data (= ${source:Version}), liblhapdf0, ${shlibs:Depends}, ${misc:Depends}
Recommends: libpythia8-dev
Description: PYTHIA event generator of high energy physics
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 This package provides run-time library of PYTHIA8.

Package: libpythia8-dev
Section: libdevel
Architecture: any
Depends: libpythia8 (= ${binary:Version}), liblhapdf-dev, ${misc:Depends}
Description: PYTHIA event generator of high energy physics - development files
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 This package provides development files of PYTHIA8.

Package: libhepmcinterface8
Section: libs
Architecture: any
Multi-arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libhepmc4, libpythia8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: HepMC interface for PYTHIA8
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 This package provides HepMC interface for PYTHIA8.

Package: libhepmcinterface8-dev
Section: libdevel
Architecture: any
Depends: libhepmc-dev, libhepmcinterface8 (= ${binary:Version}), libpythia8-dev (= ${binary:Version}), ${misc:Depends}
Description: HepMC interface for PYTHIA8 - development files
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 This package provides development files of HepMC interface for PYTHIA8.

Package: pythia8-examples
Section: devel
Architecture: all
Depends: libpythia8-dev (>= ${source:Version}), libhepmcinterface8-dev (>= ${source:Version}), libfastjet-dev, ${misc:Depends}
Description: Example source files of PYTHIA8
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 This package provides example source files of PYTHIA8.

Package: pythia8-root-interface
Section: devel
Architecture: all
Depends: root-system, libroot-core-dev, libpythia8-dev (>= ${source:Version}), ${misc:Depends}
Description: Interfaces to call ROOT functions in PYTHIA8 code
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 This package provides interfaces to call ROOT functions in PYTHIA8 code.

Package: pythia8-doc-html
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: HTML Documentation of PYTHIA8
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 This package provides HTML documentation files of PYTHIA8.

#Package: pythia8-doc-intro
#Section: doc
#Architecture: all
#Depends: ${misc:Depends}
#Description: Introduction Documentation of PYTHIA8
# PYTHIA is a program for the generation of high-energy physics events, i.e.
# for the description of collisions at high energies between elementary
# particles such as e+, e-, p and pbar in various combinations. It contains
# theory and models for a number of physics aspects, including hard and soft
# interactions, parton distributions, initial- and final-state parton showers,
# multiple interactions, fragmentation and decay.
# .
# This package provides A Brief Introduction to PYTHIA 8.1.

Package: pythia8-doc-worksheet
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Worksheet Documentation of PYTHIA8
 PYTHIA is a program for the generation of high-energy physics events, i.e.
 for the description of collisions at high energies between elementary
 particles such as e+, e-, p and pbar in various combinations. It contains
 theory and models for a number of physics aspects, including hard and soft
 interactions, parton distributions, initial- and final-state parton showers,
 multiple interactions, fragmentation and decay.
 .
 The Worksheet of PYTHIA8 teachs you the basics of how to use the PYTHIA 8.1
 event generator to study various physics aspects.
