## pythia8 8.1.76

=== Makefile ===
--- 
+++ 
@@ -195,6 +195,37 @@
  endif
 
 endif
+
+
+# Install targets:
+
+ifneq (x$(INSTALLDIR),x.)
+ install: all
+	mkdir -p $(INSTALLDIR)
+	mkdir -p $(DATADIR)
+	make installit
+ installit: installmain installdata
+ installmain:
+	cp -r include $(INSTALLDIR)/.
+	cp -r lib $(INSTALLDIR)/.
+	cp -p config.mk $(INSTALLDIR)/.
+
+ ifneq ($(DATADIR),$(INSTALLDIR))
+  installdata:
+	rm -rf $(DATADIR)/xmldoc
+	rm -f $(INSTALLDIR)/xmldoc
+	cp -r *doc $(DATADIR)/.
+	ln -fs $(DATADIR)/xmldoc $(INSTALLDIR)/xmldoc
+ else
+  installdata:
+	rm -rf $(INSTALLDIR)/xmldoc
+	cp -r xmldoc $(INSTALLDIR)/.
+ endif
+else
+ install: all
+	@echo "everything is already installed"
+endif
+
 
 # Clean up: remove (almost?) everything that cannot be recreated.
