=== debian/changelog ===
pythia8 (8.1.76-1) unstable; urgency=low

  * New upstream release.

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 07 May 2013 00:10:54 +0800

pythia8 (8.1.75-1~exp1) experimental; urgency=low

  * New upstream release.

 -- Lifeng Sun <lifongsun@gmail.com>  Wed, 06 Mar 2013 09:35:56 +0800

pythia8 (8.1.70-1~exp1) experimental; urgency=low

  * New upstream release.
  * libpythia8: fix version suffix of shared library. (Closes: #681999)
  * pythia8-root-interface: move root-system and libroot-core-dev from
    Depends to Recommends to allow user-compiled ROOT. (Closes: #682004)

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 02 Oct 2012 20:55:17 +0800
