=== debian/control ===
--- 
+++ 
@@ -104,7 +104,8 @@
 Package: pythia8-root-interface
 Section: devel
 Architecture: all
-Depends: root-system, libroot-core-dev, libpythia8-dev (>= ${source:Version}), ${misc:Depends}
+Depends: libpythia8-dev (>= ${source:Version}), ${misc:Depends}
+Recommends: root-system, libroot-core-dev
 Description: Interfaces to call ROOT functions in PYTHIA8 code
  PYTHIA is a program for the generation of high-energy physics events, i.e.
  for the description of collisions at high energies between elementary
