=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

USRCXXFLAGS      := $(CPPFLAGS) $(CXXFLAGS)
USRLDFLAGSSHARED := $(LDFLAGS)

DEBVER=$(strip $(shell \
	head -n 1 debian/changelog | cut -f 2 -d ' ' | tr -d '()'))

UPVER=$(shell echo $(DEBVER) | \
	sed -e 's/-[^-]*$$//' -e 's/^[^:]*://')

export USRCXXFLAGS USRLDFLAGSSHARED UPVER

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-shared \
		--with-hepmc=/usr \
		--prefix=/usr \
		--installdir=$(CURDIR)/debian/tmp/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
	for f in debian/lib*.install.in; do \
		sed -e 's,@DEB_HOST_MULTIARCH@,$(DEB_HOST_MULTIARCH),' $$f \
			> $${f%.in}; \
	done

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr
	dh_auto_install

override_dh_install:
	dh_install
	-rm -f debian/libpythia8-dev/usr/include/pythia8/HepMCInterface.h

override_dh_auto_build-indep:
	dh_auto_build
	cd xmldoc; xelatex worksheet; xelatex worksheet
	#cd xmldoc; xelatex pythia8100; xelatex pythia8100

%:
	dh $@ --parallel
