=== examples/Makefile ===
--- 
+++ 
@@ -45,12 +45,12 @@
 # Owing to excessive warning output -Wshadow is not used for HepMC.
 ifneq (x$(HEPMCLOCATION),x)
   main41 main42: \
-	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libhepmcinterface.a
+	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8tohepmc.a
 	@mkdir -p $(BINDIR)
 	$(CXX) $(CXXFLAGS) -Wno-shadow -I$(PYTHIA8LOCATION)/$(INCDIR) -I$(HEPMCLOCATION)/include \
 	$@.cc -o $(BINDIR)/$@.exe \
 	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 -llhapdfdummy $(LIBGZIP) \
-	-lhepmcinterface \
+	-lpythia8tohepmc \
 	-L$(HEPMCLOCATION)/lib -lHepMC
 	@ln -fs $(BINDIR)/$@.exe $@.exe
 else
@@ -69,11 +69,11 @@
 
 # Create an executable that links to LHAPDF and HepMC
 main61 main62 main85 main86 main87 main88: \
-	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libhepmcinterface.a
+	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8tohepmc.a
 	@mkdir -p $(BINDIR)
 	$(CXX) $(CXXFLAGS) -Wno-shadow -I$(PYTHIA8LOCATION)/$(INCDIR) -I$(HEPMCLOCATION)/include \
 	$@.cc -o $(BINDIR)/$@.exe \
-	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 -lhepmcinterface $(LIBGZIP) \
+	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 -lpythia8tohepmc $(LIBGZIP) \
 	-L$(LHAPDFLOCATION) $(LHAPDFLIBNAME) \
 	-L$(HEPMCLOCATION)/lib -lHepMC \
 	$(FLIBS)
@@ -106,7 +106,7 @@
 # (Fixed as of Fastjet 3.0.1, so will be modified eventually.)
 ifneq (x$(FASTJETLOCATION),x)
   main81 main82 main83 main84: \
-	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a  $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libhepmcinterface.a
+	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a  $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8tohepmc.a
 	@mkdir -p $(BINDIR)
     # Note: $(CXXFLAGS) is after Fastjet flags as Fastjet includes
     #       optimisation/debug flags which may be unwanted (e.g. -g -O2)
@@ -117,7 +117,7 @@
 	-o $(BINDIR)/$@.exe \
 	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 \
 	-L$(LHAPDFLOCATION) $(LHAPDFLIBNAME) \
-	-lhepmcinterface \
+	-lpythia8tohepmc \
 	-L$(HEPMCLOCATION)/lib -lHepMC \
 	-L$(FASTJETLOCATION)/lib \
 	-L$(LHAPDFLOCATION)/lib \
@@ -129,19 +129,6 @@
 	@echo ERROR, this target needs Fastjet, variable FASTJETLOCATION
 endif
 
-# Create an executable that links to Pythia6. This part is obsolete and 
-# only retained, in a watered-down version, for debug purposes.
-# Library created with "gfortran -c pythia64xx.f" (xx = current subversion),
-# followed by "ar cru libpythia6.a pythia64xx.o" (on Linux).
-# You would need to uncomment below and correct pythia6 library path.
-#main91: $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a
-#	@mkdir -p $(BINDIR)
-#	$(CXX) $(CXXFLAGS) -I$(PYTHIA8LOCATION)/$(INCDIR) $@.cc -o $(BINDIR)/$@.exe \
-#	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 -llhapdfdummy $(LIBGZIP) \
-#	-L/directoryoflibpythia6.a -lpythia6 \
-#	$(FLIBS)
-#	@ln -fs $(BINDIR)/$@.exe $@.exe
-
 # Clean up: remove executables and outdated files.
 .PHONY: clean
 clean:
