=== debian/changelog ===
pythia8 (8.1.80-1) unstable; urgency=low

  * New upstream release.
  * debian/control: remove obsolete DM-Upload-Allowed.
  * Move HepMC interface to libpythia8* packages.
  * Canonical VCS-* fields.
  * Bump Standards-Version to 3.9.4.

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 16 Dec 2013 15:39:45 +0800
