=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Lifeng Sun <lifongsun@gmail.com>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libhepmc-dev, texlive-xetex, ghostscript
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: science
 Homepage: http://home.thep.lu.se/~torbjorn/Pythia.html
-Vcs-Git: git://git.debian.org/git/debian-science/packages/pythia8.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/pythia8.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/pythia8.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/pythia8.git
 
 Package: pythia8-data
 Architecture: all
@@ -31,7 +30,7 @@
 Architecture: any
 Multi-arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: pythia8-data (= ${source:Version}), liblhapdf0, ${shlibs:Depends}, ${misc:Depends}
+Depends: libhepmc4, pythia8-data (= ${source:Version}), liblhapdf0, ${shlibs:Depends}, ${misc:Depends}
 Recommends: libpythia8-dev
 Description: PYTHIA event generator of high energy physics
  PYTHIA is a program for the generation of high-energy physics events, i.e.
@@ -46,7 +45,8 @@
 Package: libpythia8-dev
 Section: libdevel
 Architecture: any
-Depends: libpythia8 (= ${binary:Version}), liblhapdf-dev, ${misc:Depends}
+Depends: libhepmc-dev, libpythia8 (= ${binary:Version}), liblhapdf-dev, ${misc:Depends}
+Breaks: libhepmcinterface8-dev (<< 8.1.80)
 Description: PYTHIA event generator of high energy physics - development files
  PYTHIA is a program for the generation of high-energy physics events, i.e.
  for the description of collisions at high energies between elementary
@@ -62,8 +62,8 @@
 Architecture: any
 Multi-arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libhepmc4, libpythia8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: HepMC interface for PYTHIA8
+Depends: libpythia8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: HepMC interface for PYTHIA8 (obsolete)
  PYTHIA is a program for the generation of high-energy physics events, i.e.
  for the description of collisions at high energies between elementary
  particles such as e+, e-, p and pbar in various combinations. It contains
@@ -71,13 +71,14 @@
  interactions, parton distributions, initial- and final-state parton showers,
  multiple interactions, fragmentation and decay.
  .
- This package provides HepMC interface for PYTHIA8.
+ This is a transitional dummy package, HepMC interface has been moved into
+ the package 'libpythia8'.
 
 Package: libhepmcinterface8-dev
 Section: libdevel
 Architecture: any
-Depends: libhepmc-dev, libhepmcinterface8 (= ${binary:Version}), libpythia8-dev (= ${binary:Version}), ${misc:Depends}
-Description: HepMC interface for PYTHIA8 - development files
+Depends: libhepmcinterface8 (= ${binary:Version}), libpythia8-dev (= ${binary:Version}), ${misc:Depends}
+Description: HepMC interface for PYTHIA8 - development files (obsolete)
  PYTHIA is a program for the generation of high-energy physics events, i.e.
  for the description of collisions at high energies between elementary
  particles such as e+, e-, p and pbar in various combinations. It contains
@@ -85,7 +86,8 @@
  interactions, parton distributions, initial- and final-state parton showers,
  multiple interactions, fragmentation and decay.
  .
- This package provides development files of HepMC interface for PYTHIA8.
+ This is a transitional dummy package, HepMC interface has been moved into
+ the package 'libpythia8-dev'.
 
 Package: pythia8-examples
 Section: devel
