=== debian/rules ===
--- 
+++ 
@@ -37,10 +37,6 @@
 	mkdir -p $(CURDIR)/debian/tmp/usr
 	dh_auto_install
 
-override_dh_install:
-	dh_install
-	-rm -f debian/libpythia8-dev/usr/include/pythia8/HepMCInterface.h
-
 override_dh_auto_build-indep:
 	dh_auto_build
 	cd xmldoc; xelatex worksheet; xelatex worksheet
