## pythia8 8.1.86

=== examples/Makefile ===
--- 
+++ 
@@ -34,7 +34,8 @@
 main00  main01 main02 main03 main04 main05 main06 main07 main08 main09 main10 \
 	main11 main12 main13 main14 main15 main16 main17 main18 main19 main20 \
 	main21 main22 main23 main24 main25 main26 main27 main28 main29 main30 \
-	main31 main32 main33 main34 main35 main36 main37 main38 main39 main40: \
+	main31 main32 main33 main34 main35 main36 main37 main38 main39 main40 \
+	main80: \
 	$(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a
 	@mkdir -p $(BINDIR)
 	$(CXX) $(CXXFLAGS) -I$(PYTHIA8LOCATION)/$(INCDIR) $@.cc -o $(BINDIR)/$@.exe \
@@ -59,7 +60,7 @@
 endif
 
 # Create an executable that links to LHAPDF
-main51 main52 main53: $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a
+main51 main52 main53 main54: $(PYTHIA8LOCATION)/$(LIBDIRARCH)/libpythia8.a
 	@mkdir -p $(BINDIR)
 	$(CXX) $(CXXFLAGS) -I$(PYTHIA8LOCATION)/$(INCDIR) $@.cc -o $(BINDIR)/$@.exe \
 	-L$(PYTHIA8LOCATION)/$(LIBDIRARCH) -lpythia8 $(LIBGZIP) \
