=== debian/changelog ===
pythia8 (8.1.86-1.2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:01 +0100

pythia8 (8.1.86-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove Depend on liblhapdf0 from binary package libpythia8v5, it does not
    link aginst it (Closes: #800642)
  * Also, for the libpythia-dev package, remove Depends on liblhapdf-dev: It
    does not include any header of it.
  * Installing missing *.grid data files (Closes: #755535)

 -- Tobias Frost <tobi@debian.org>  Sat, 26 Dec 2015 13:08:49 +0100

pythia8 (8.1.86-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791252).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:53:45 +0200

pythia8 (8.1.86-1) unstable; urgency=medium

  * New upstream release.
  * Ship upstream PDF document.
  * Bump Standards-Version to 3.9.5.

 -- Lifeng Sun <lifongsun@gmail.com>  Sun, 13 Jul 2014 09:01:20 +0800
