=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Lifeng Sun <lifongsun@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libhepmc-dev, texlive-xetex, ghostscript
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: science
 Homepage: http://home.thep.lu.se/~torbjorn/Pythia.html
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/pythia8.git
@@ -14,7 +14,7 @@
 Multi-arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
-Recommends: libpythia8
+Recommends: libpythia8v5
 Description: PYTHIA8 data files
  PYTHIA is a program for the generation of high-energy physics events, i.e.
  for the description of collisions at high energies between elementary
@@ -25,13 +25,15 @@
  .
  This package provides XML data files of PYTHIA8
 
-Package: libpythia8
+Package: libpythia8v5
 Section: libs
 Architecture: any
 Multi-arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libhepmc4, pythia8-data (= ${source:Version}), liblhapdf0, ${shlibs:Depends}, ${misc:Depends}
+Depends: libhepmc4, pythia8-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: libpythia8-dev
+Conflicts: libpythia8
+Replaces: libpythia8
 Description: PYTHIA event generator of high energy physics
  PYTHIA is a program for the generation of high-energy physics events, i.e.
  for the description of collisions at high energies between elementary
@@ -45,7 +47,7 @@
 Package: libpythia8-dev
 Section: libdevel
 Architecture: any
-Depends: libhepmc-dev, libpythia8 (= ${binary:Version}), liblhapdf-dev, ${misc:Depends}
+Depends: libhepmc-dev, libpythia8v5 (= ${binary:Version}), ${misc:Depends}
 Breaks: libhepmcinterface8-dev (<< 8.1.80)
 Description: PYTHIA event generator of high energy physics - development files
  PYTHIA is a program for the generation of high-energy physics events, i.e.
@@ -62,7 +64,7 @@
 Architecture: any
 Multi-arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpythia8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libpythia8v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: HepMC interface for PYTHIA8 (obsolete)
  PYTHIA is a program for the generation of high-energy physics events, i.e.
  for the description of collisions at high energies between elementary
@@ -92,7 +94,7 @@
 Package: pythia8-examples
 Section: devel
 Architecture: all
-Depends: libpythia8-dev (>= ${source:Version}), libhepmcinterface8-dev (>= ${source:Version}), libfastjet-dev, ${misc:Depends}
+Depends: libpythia8-dev (>= ${source:Version}), libfastjet-dev, ${misc:Depends}
 Description: Example source files of PYTHIA8
  PYTHIA is a program for the generation of high-energy physics events, i.e.
  for the description of collisions at high energies between elementary
