=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 override_dh_auto_build-indep:
 	dh_auto_build
-	cd xmldoc; xelatex worksheet; xelatex worksheet
+	#cd xmldoc; xelatex worksheet; xelatex worksheet
 	#cd xmldoc; xelatex pythia8100; xelatex pythia8100
 
 %:
