=== debian/watch ===
version=3

opts=dversionmangle=s/\.//g \
    http://home.thep.lu.se/~torbjorn/pythiaaux/present.html .*pythia(.*)\.tgz \
    debian ./debian/get-orig-source
